# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Adding model 'Host'
        db.create_table(u'core_host', (
            (u'id',
             self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hostname',
             self.gf('django.db.models.fields.CharField')(unique=True,
                                                          max_length=255,
                                                          db_index=True)),
            ('mac', self.gf('django.db.models.fields.CharField')(
                unique=True, max_length=17)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(
                auto_now_add=datetime.datetime(2014, 4, 1, 0, 0), blank=True)),
            ('status',
             self.gf('django.db.models.fields.CharField')(default='unknown',
                                                          max_length='40')),
        ))
        db.send_create_signal(u'core', ['Host'])

        # Adding model 'Profile'
        db.create_table(u'core_profile', (
            (u'id',
             self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hash', self.gf('django.db.models.fields.CharField')(
                unique=True, max_length=40)),
            ('profile',
             self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.related.ForeignKey')(
                related_name='profiles', to=orm['core.Host'])),
        ))
        db.send_create_signal(u'core', ['Profile'])

    def backwards(self, orm):
        # Deleting model 'Host'
        db.delete_table(u'core_host')

        # Deleting model 'Profile'
        db.delete_table(u'core_profile')

    models = {
        u'core.host': {
            'Meta': {'object_name': 'Host'},
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'datetime.datetime(2014, 4, 1, 0, 0)',
                         'blank': 'True'}),
            'hostname': ('django.db.models.fields.CharField', [],
                         {'unique': 'True', 'max_length': '255',
                          'db_index': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'mac': ('django.db.models.fields.CharField', [],
                    {'unique': 'True', 'max_length': '17'}),
            'status': ('django.db.models.fields.CharField', [],
                       {'default': "'unknown'", 'max_length': "'40'"})
        },
        u'core.profile': {
            'Meta': {'object_name': 'Profile'},
            'hash': ('django.db.models.fields.CharField', [],
                     {'unique': 'True', 'max_length': '40'}),
            'host': ('django.db.models.fields.related.ForeignKey', [],
                     {'related_name': "'profiles'",
                      'to': u"orm['core.Host']"}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'profile': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['core']
