# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Deleting model 'Profile'
        db.delete_table(u'core_profile')

        # Adding model 'Installation'
        db.create_table(u'core_installation', (
            (u'id',
             self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('hash', self.gf('django.db.models.fields.CharField')(
                default='', unique=True, max_length=40)),
            ('profile',
             self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.related.ForeignKey')(
                related_name='installations', to=orm['core.Host'])),
            ('created', self.gf('django.db.models.fields.DateTimeField')(
                default=datetime.datetime(2014, 9, 16, 0, 0),
                auto_now_add=True, blank=True)),
            ('install_conf',
             self.gf('django.db.models.fields.TextField')(default='')),
            ('pxeboot_conf',
             self.gf('django.db.models.fields.TextField')(default='')),
            ('first_boot',
             self.gf('django.db.models.fields.TextField')(default='')),
            ('status',
             self.gf('django.db.models.fields.CharField')(default='unknown',
                                                          max_length='40')),
        ))
        db.send_create_signal(u'core', ['Installation'])

        # Deleting field 'Host.status'
        db.delete_column(u'core_host', 'status')

        # Adding field 'Host.disk_count'
        db.add_column(u'core_host', 'disk_count',
                      self.gf('django.db.models.fields.IntegerField')(
                          max_length=2, default=2),
                      keep_default=False)

        # Adding field 'Host.ipmi_host'
        db.add_column(u'core_host', 'ipmi_host',
                      self.gf('django.db.models.fields.CharField')(
                          default='', max_length=255, null=True),
                      keep_default=False)

        # Adding field 'Host.ipmi_user'
        db.add_column(u'core_host', 'ipmi_user',
                      self.gf('django.db.models.fields.CharField')(
                          default='', max_length=255, null=True),
                      keep_default=False)

        # Adding field 'Host.ipmi_pass'
        db.add_column(u'core_host', 'ipmi_pass',
                      self.gf('django.db.models.fields.CharField')(
                          default='', max_length=255, null=True),
                      keep_default=False)

        # Adding field 'Host.active_profile'
        db.add_column(u'core_host', 'active_profile',
                      self.gf('django.db.models.fields.CharField')(
                          default='', max_length=255, null=True),
                      keep_default=False)

        # Adding field 'Host.disk_regex
        db.add_column(u'core_host', 'disk_regex',
                      self.gf('django.db.models.fields.CharField')(
                          default='', max_length=255, null=True),
                      keep_default=False)

        # Changing field 'Host.created'
        db.alter_column(u'core_host', 'created',
                        self.gf('django.db.models.fields.DateTimeField')(
                            auto_now_add=datetime.datetime(2014, 9, 16, 0, 0)))

    def backwards(self, orm):
        # Adding model 'Profile'
        db.create_table(u'core_profile', (
            ('profile',
             self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('hash',
             self.gf('django.db.models.fields.CharField')(max_length=40,
                                                          unique=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(
                default=datetime.datetime(2014, 4, 2, 0, 0), auto_now_add=True,
                blank=True)),
            ('host', self.gf('django.db.models.fields.related.ForeignKey')(
                related_name='profiles', to=orm['core.Host'])),
            (u'id',
             self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal(u'core', ['Profile'])

        # Deleting model 'Installation'
        db.delete_table(u'core_installation')

        # Adding field 'Host.status'
        db.add_column(u'core_host', 'status',
                      self.gf('django.db.models.fields.CharField')(
                          default='unknown', max_length='40'),
                      keep_default=False)

        # Deleting field 'Host.disk_count'
        db.delete_column(u'core_host', 'disk_count')

        # Deleting field 'Host.disk_regex'
        db.delete_column(u'core_host', 'disk_regex')

        # Deleting field 'Host.ipmi_host'
        db.delete_column(u'core_host', 'ipmi_host')

        # Deleting field 'Host.ipmi_user'
        db.delete_column(u'core_host', 'ipmi_user')

        # Deleting field 'Host.ipmi_pass'
        db.delete_column(u'core_host', 'ipmi_pass')

        # Deleting field 'Host.active_profile'
        db.delete_column(u'core_host', 'active_profile')

        # Changing field 'Host.created'
        db.alter_column(u'core_host', 'created',
                        self.gf('django.db.models.fields.DateTimeField')(
                            auto_now_add=datetime.datetime(2014, 4, 2, 0, 0)))

    models = {
        u'core.host': {
            'Meta': {'object_name': 'Host'},
            'active_profile': ('django.db.models.fields.CharField', [],
                               {'default': "''", 'max_length': '255',
                                'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {
                'auto_now_add': 'datetime.datetime(2014, 9, 16, 0, 0)',
                'blank': 'True'}),
            'disk_regex': ('django.db.models.fields.CharField', [],
                           {'default': "''", 'max_length': '255',
                            'null': 'True'}),
            'disk_count': (
                'django.db.models.fields.IntegerField', [], {
                    'max_length': '2', 'default': '2'}),
            'hostname': ('django.db.models.fields.CharField', [],
                         {'unique': 'True', 'max_length': '255',
                          'db_index': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'ipmi_host': ('django.db.models.fields.CharField', [],
                          {'default': "''", 'max_length': '255',
                           'null': 'True'}),
            'ipmi_pass': ('django.db.models.fields.CharField', [],
                          {'default': "''", 'max_length': '255',
                           'null': 'True'}),
            'ipmi_user': ('django.db.models.fields.CharField', [],
                          {'default': "''", 'max_length': '255',
                           'null': 'True'}),
            'mac': ('django.db.models.fields.CharField', [],
                    {'unique': 'True', 'max_length': '17'})
        },
        u'core.installation': {
            'Meta': {'ordering': "['-created']",
                     'object_name': 'Installation'},
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'default': 'datetime.datetime(2014, 9, 16, 0, 0)',
                         'auto_now_add': 'True', 'blank': 'True'}),
            'first_boot': (
                'django.db.models.fields.TextField', [], {'default': "''"}),
            'hash': ('django.db.models.fields.CharField', [],
                     {'default': "''", 'unique': 'True', 'max_length': '40'}),
            'host': ('django.db.models.fields.related.ForeignKey', [],
                     {'related_name': "'installations'",
                      'to': u"orm['core.Host']"}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'install_conf': (
                'django.db.models.fields.TextField', [], {'default': "''"}),
            'profile': (
                'django.db.models.fields.CharField', [],
                {'max_length': '255'}),
            'pxeboot_conf': (
                'django.db.models.fields.TextField', [], {'default': "''"}),
            'status': ('django.db.models.fields.CharField', [],
                       {'default': "'unknown'", 'max_length': "'40'"})
        }
    }

    complete_apps = ['core']
