#!/bin/bash

set -x

mkdir -p /var/log/puppet
touch /var/log/puppet/firstboot.log
chown root:root /var/log/puppet/firstboot.log
chmod 400 /var/log/puppet/firstboot.log

(
    curl -s '{{ firstboot_checkpoint }}'

    puppet agent --enable

    if ! [[ -f "/etc/firstboot_cleanup_flag" ]]
    then
        rm -rvf /etc/puppet/ssl /var/lib/puppet/ssl
        touch /etc/firstboot_cleanup_flag
    fi

    PUPPET_CMD='puppet agent -tvd'

    $PUPPET_CMD --server {{ puppet_master }} --waitforcert 30
    $PUPPET_CMD --server {{ puppet_master }}
    $PUPPET_CMD --server {{ puppet_master }}
    $PUPPET_CMD

    LASTPUPPET_EXC="$?"

    if [[ "${LASTPUPPET_EXC}" == "2" ]]
    then
        curl -s '{{ firstboot_done }}'
        rm -vf /etc/rc.local /etc/firstboot_cleanup_flag
    else
        curl -s '{{ firstboot_error }}'
    fi
) 2>&1 | tee /var/log/puppet/firstboot.log
