from django import forms
from django.conf import settings


class HostForm(forms.Form):
    hostname = forms.CharField(max_length=255)
    mac = forms.CharField(max_length=255)
    disk_count = forms.ChoiceField(
        choices=(map(lambda x: (x, x), range(1, 10))),
        initial=2)
    disk_regex = forms.CharField(
        max_length=255,
        initial=settings.DISK_PATTERN,
        help_text='Write here which disks should be used as regex')
