from django.conf import settings
from django.shortcuts import render_to_response, RequestContext

from core.models import Host
from webui.forms import HostForm


def index(request):
    hosts = Host.objects.all().order_by('hostname')
    return render_to_response(
        'webui/index.html',
        {
            'hosts': hosts,
            'profiles': settings.PROFILES,
            'host_form': HostForm()
        }, context_instance=RequestContext(request)
    )


def host(request, hostname):
    host = Host.objects.get(hostname=hostname)

    return render_to_response(
        'webui/host.html',
        {
            'host': host
        }, context_instance=RequestContext(request)
    )
